//
//  dmuICjdecoder.h
//
//  Author: Tim Davison
//  Date:   Oct, 1996
//
//  <dmu>
//  This objects decompresses jpeg frames that are given to it.  This
//  object is a subclass of the <I>dmuIC</I> object.  The only thing
//  this object does is implement the setup method.  The setup method
//  creates an image conversion context.  
//  </dmu>
//
#ifndef _DMUICJDECODER_H
#define _DMUICJDECODER_H

#include "dmuIC.h"

class dmuICjdecoder : public dmuIC {
public:

  // Constructor:  This is the constructor that setups up some default
  // values.  If you use this constructor, you must set the image
  // width and height before you call the setup method.  
  dmuICjdecoder();

  // Constructor: You probably want to use this constructor.  It set some
  // default values and sets the image width and height.  
  dmuICjdecoder(int imageSizeX, int imageSizeY);

  // Destructor:  Right now this does nothing other than implicitly calling
  // the superclass' destructor
  virtual ~dmuICjdecoder();

protected:

private:
};

#endif // _DMUICJDECODER_H
