#ifndef _DMUSOCKET_H
#define _DMUSOCKET_H

#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <netdb.h>
#include <stdio.h>
#include <stropts.h>
#include <unistd.h>
#include <bstring.h>
#include <errno.h>
#include <stdlib.h>

class dmuSocket {
public:
  dmuSocket();
  ~dmuSocket();
  int acceptSocket(char *hostname, int port);
  int connectSocket(char *hostname, int port);
  int write(void *buffer, int size);
  //  int read(void *buffer, int size);
  int read(void *buffer);
  
private:
  int sock;
  struct sockaddr_in serverAddr;

};

struct hdr_info {
  int size;
};
#endif
