#ifndef  _SO_SF_DMBUFFER_1394_ENGINE_H
#define  _SO_SF_DMBUFFER_1394_ENGINE_H

// Inventor
#include <Inventor/fields/SoSFString.h>

// DMUIV
#include "SoDMBufferEngine.h"

// DMU
//#include "libdmu/dmuMovieInRawDV.h"
#include "libdmu/dmu1394In.h"
#include "libdmu/dmuICdvdecoder.h"
#include "libdmu/dmuGLPixelTrans.h"
#include "libdmu/dmuGLTex2d.h"
#include "libdmu/dmuGLCtx.h"
#include "libdmu/dmuICdvdecoder.h"

class SoDMBuffer1394Engine : public SoDMBufferEngine {

    SO_ENGINE_HEADER( SoDMBuffer1394Engine );

  public:

    SoSFString	filename;

    static void 	initClass();

    SoDMBuffer1394Engine( void );

    virtual void stop( void );
    virtual void start( void );

  protected:
    dmu1394In *movieIn;
    dmuGLPixelTrans *movieContext;
    dmuGLTex2d      *texDrain;
    dmuICdvdecoder *decoder;
    virtual void        inputChanged(SoField *whichField);

  private:

    ~SoDMBuffer1394Engine();

};

#endif
