#ifndef  _SO_SF_DMBUFFER_COMPOSITE_ENGINE_H
#define  _SO_SF_DMBUFFER_COMPOSITE_ENGINE_H

// Inventor
#include <Inventor/engines/SoSubEngine.h>

// DMUIV
#include "SoDMBufferEngine.h"

// STL
#include <list.h>

// DMU
#include "libdmu/dmuObj.h"

class SoDMBufferCompositeEngine : public SoDMBufferEngine {

    SO_ENGINE_ABSTRACT_HEADER( SoDMBufferCompositeEngine );

  public:

    SoSFDMBufferImage	inputImage;

    static void initClass();
    SoDMBufferCompositeEngine( void );

  protected:
    virtual void composite( SbVec2s &size ) = 0;
    virtual void evaluate( void );

    SbBool	     	firstRender;

};

#endif
