#ifndef HERMITE_CURVE_H
#define HERMITE_CURVE_H

#include "ParametricCurve.h"

// GL
#include "GL/gl.h"

class HermiteCurve: public ParametricCurve {

  public:
    HermiteCurve( void );

    virtual void addKnot(KNOT *whichKnot, int x, int y);
    virtual void render( void );

  protected:
    virtual Bool buildGeometryMatrix( KNOT whichKnot,
				      float (*geometryVector)[4][4]);
    virtual void renderDirect( KNOT );
};

#endif
