#ifndef PENT_SOCKET_H
#define PENT_SOCKET_H

#include "pentCommon.h"
#include "pentData.h"

class pentSocket {
public:
  pentSocket();
  ~pentSocket();

  int setPort(int _portNum);
  int getPort(int *_portNum);
  // this is for debugging purposes and for handshaking
  int setName(char *_name);

  // this will create the socket and setup the address 
  virtual int setup();
  
  // we override this method to actually do the net working stuff
  virtual int handshake(pentData *_dataObj);

  int setPrintReturnErr(int _printReturnErr);

protected:
  int     portNum;
  //  int     socketID;
  char   *name;
  char   *localhostname;
  char   *connecthostname;
  int     printReturnErr;  
};

#endif


