#ifndef PENT_TCP_INITIATOR_H
#define PENT_TCP_INITIATOR_H

#include "pentCommon.h"
#include "pentTCPSocketServer.h"
#include "pentTCPSocketClient.h"
#include "pentData.h"

// System V
#include <sys/types.h>
#include <sys/prctl.h>

// libpent connection manger
#include "pentTCPCMCommon.h"

class pentTCPInitiator {

public:
  pentTCPInitiator( void );
  void setup( char *addr );
  
  // callback
  typedef void (*connectionCallback)(pentData *, void *);
  virtual void registerCallback(connectionCallback cb,void *data );

private:
  // callbacks
  void *callbackUserData;
  connectionCallback connectionCB;

}; // class

#endif PENT_TCP_INITIATOR_H
