#ifndef PENT_TCP_SOCKET_SERVER_H
#define PENT_TCP_SOCKET_SERVER_H

#include "pentCommon.h"
#include "pentSocket.h"
#include "pentData.h"

class pentTCPSocketServer : public pentSocket {
public:
  pentTCPSocketServer();
  ~pentTCPSocketServer();

  int setup();
  int handshake(pentData *_dataObj);

private:
  // socket(2) file descriptor
  int srvSocketFD;

  // Number of requests allowed to
  // backup in queue before returning ECONNREFUSED
  // (max 1024)
  int backlog;
};

#endif
