// Local
#include "SbDMBuffer.h"

SbDMBuffer::SbDMBuffer( dmuGLCtx *dmuGLContext, dmuGLTex2d *dmuObject ){
    SbDMBuffer::dmuGLContext = dmuGLContext;
    SbDMBuffer::dmuTexture = dmuObject;
    GRABBED = False;
}

SbDMBuffer::SbDMBuffer( Display *display, const SbVec2s &s ){
//     dmuGLContext = new dmuGLPaintBuffer();
//     dmuGLContext->setName("Paint Buffer");

//     dmuGLContext->setPacking(VL_PACKING_ABGR_8);
//     dmuGLContext->setFormat(VL_FORMAT_RGB);
//     dmuGLContext->setSize(s[0],s[1]);
//     dmuGLContext->setup(display,s[0],s[1]);

//     dmuTexture = new dmuGLTex2d();
//     dmuTexture->setName("Texture");
//     dmuTexture->setup(display,s[0],s[1]);

//     dmuGLContext->addObject(dmuTexture);
//     dmuGLContext->init();

//     GRABBED = False;
}


SbDMBuffer::~SbDMBuffer( void ){
    // XXX - Do later
    // Clean up if dmuGLAllocCtx
}

unsigned char *
SbDMBuffer::getValue( SbVec2s &s, unsigned char **pixels) {
    dmuGLContext->grab();
    GRABBED = True;

    *pixels = dmuGLContext->mapBuffer();

    int w,h;
    dmuGLContext->getImageDimensions(&w,&h);
    s.setValue(w,h);
    return *pixels;
}

dmuGLCtx *
SbDMBuffer::getValue( SbVec2s &s )
{ 
    dmuGLContext->grab();
    GRABBED = True;

    dmuGLContext->makeCurrent();
    int w,h;
    dmuGLContext->getImageDimensions(&w,&h);
    s.setValue(w,h);
    return dmuGLContext;
};

void
SbDMBuffer::releaseValue( void ){
    dmuGLContext->release();
}

unsigned char *
SbDMBuffer::startEditing( SbVec2s &s, unsigned char **pixels ){
    dmuGLContext->grab();
    GRABBED = True;

    *pixels = dmuGLContext->mapBuffer();

    int w,h;
    dmuGLContext->getImageDimensions(&w,&h);
    s.setValue(w,h);
    return *pixels;
}

dmuGLCtx *
SbDMBuffer::startEditing(SbVec2s &s){
    dmuGLContext->grab();
    GRABBED = True;

    dmuGLContext->makeCurrent();
    int w,h;
    dmuGLContext->getImageDimensions(&w,&h);
    s.setValue(w,h);
    return dmuGLContext;
}

void
SbDMBuffer::finishEditing( void ){
    dmuGLContext->release();
    GRABBED = False;
}

void
SbDMBuffer::defineTex( void )
{	
  if ( !GRABBED ){
    // dmuGLContext->grab();
//     dmuGLContext->release();
    fd_set set;
    dmuGLContext->handleEvents(set);
  }
  if ( dmuTexture )
    dmuTexture->defineTex2D();
}
