#include "dmuMovie.h"

// dmuMovie - This object doesn't do much now.. Once movieOut objects
// are implemented, any common functionality between them will be
// extracted into this object.

dmuMovie::dmuMovie(){
  movieStarted = 0;
}

dmuMovie::~dmuMovie(){

}

// pure virtual functions - nobody should be calling these guys.. implement
// them in the subclasses.
int dmuMovie::init(dmuParams *params){
  return (DMU_VIRTUAL_CALLED);
}

int dmuMovie::addSrcConstraints(DMparams *params){
  return (DMU_UNIMPLEMENTED);
}

int dmuMovie::addDstConstraints(DMparams *params){
  return (DMU_UNIMPLEMENTED);
}

int dmuMovie::start(int propagate){
  return (DMU_VIRTUAL_CALLED);
}

int dmuMovie::getFD(){
  return (DMU_VIRTUAL_CALLED);
}

int dmuMovie::receive(DMbuffer inBuffer){
  return (DMU_VIRTUAL_CALLED);
}

int dmuMovie::handleEvents(fd_set fdSet){
  return (DMU_VIRTUAL_CALLED);
}
/****************************************************************************
  *                                                                          *
  *               Copyright (c) 1996-97, Silicon Graphics, Inc.              *
  *                                                                          *
  *   Permission to use,  copy, modify, distribute, and sell this software   *
  *   and its documentation for any purpose is hereby granted without fee,   *
  *   provided that the name of  Silicon  Graphics  may not be used in any   *
  *   advertising  or  publicity  relating  to  the  software  without the   *
  *   specific, prior written permission of Silicon Graphics.                *
  *                                                                          *
  *   THIS SOFTWARE IS PROVIDED "AS-IS"  AND WITHOUT WARRANTY OF ANY KIND,   *
  *   EXPRESS,  IMPLIED OR OTHERWISE,  INCLUDING  WITHOUT LIMITATION,  ANY   *
  *   WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.       *
  *                                                                          *
  *   IN  NO  EVENT  SHALL  SILICON  GRAPHICS  BE  LIABLE FOR ANY SPECIAL,   *
  *   INCIDENTAL,  INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,  OR  ANY   *
  *   DAMAGES  WHATSOEVER  RESULTING  FROM  LOSS OF USE,  DATA OR PROFITS,   *
  *   WHETHER OR NOT ADVISED OF  THE  POSSIBILITY  OF  DAMAGE,  AND ON ANY   *
  *   THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR   *
  *   PERFORMANCE OF THIS SOFTWARE.                                          *
  *                                                                          *
  ****************************************************************************/
