/*
 * Copyright 1996 Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED
 *
 * You may use and modify this software and its documentation for your own
 * internal purposes without fee, provided that you agree that you will not
 * remove this notice from this software under any circumstances.  You may not
 * disclose the contents of this file to third parties in any form, in whole
 * or in part, without the prior written permission of Silicon Graphics, Inc.
 *
 * THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT ANY WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY
 * OF MERCHANTABLIITY OR FITNESS FOR A PARTICULAR PURPOSE.
 * In no event shall Silicon Graphics be liable for any special, incidental,
 * indirect or consequential damages of any kind, or any damages whatsoever
 * resulting from loss of use, data or profits, whether or not advised of the
 * possibility of damage, and on any theory of liability, arising out of or
 * in connection with the possession, use or performance of this software.
 *
 * U.S. GOVERNMENT RESTRICTED RIGHTS LEGEND
 * Use, duplication, or disclosure by the Government is subject to restrictions
 * set forth in FAR 52.227.19(c)(2) or subparagraph (c)(1)(ii) of the Rights in
 * Technical Data and Computer Software clause at DFARS 252.227-7013 and/or in
 * similar or successor clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the United States.
 * Contractor/manufacturer is Silicon Graphics, Inc., 2011 N. Shoreline Blvd.,
 * Mountain View, CA 94039-7311.
 */


#include <X11/X.h>
#include <GL/glx.h>
#include <iostream.h>

#ifndef GLX_CONTEXT_C_

class glxContextC {
	public:
		glxContextC();
		glxContextC(Display *, GLXDrawable, GLXContext);
		void Set();
		void Current();
		void Current(GLXDrawable newDrawable);
		void Push();
		void Pop();
		GLXContext tempCtxt, ctxt;
		GLXDrawable tempDrbl, drbl;
		Display *tempDpy, *dpy;
	};

#endif

#define GLX_CONTEXT_C_
