#ifndef _DMUMOVIEIN_RAWDV_H
#define _DMUMOVIEIN_RAWDV_H

#define DV_FRAME_BYTES 120000
#define DM_IMAGE_DV "DV"

#include "dmuMovieIn.h"


class dmuMovieInRawDV: public dmuMovieIn{


public:
  dmuMovieInRawDV();
  ~dmuMovieInRawDV();
  int init(dmuParams *params = NULL);

protected:
  // Implements the appropriate read behavior to read a compressed
  // movie frame into a DMbuffer.
  int getImageFrameTime(long long movieTime);
  int getImageFrameIndex(int frameIndex);

  int movieFileFD;
  int curFileOffset;
public:
  virtual int setup(char *newFileName);
  
};

#endif

