#ifndef CATMULLROMSTROKE_H
#define CATMULLROMSTROKE_H

#include "CatmullRomCurve.h"
#include "Stroke.h"

class CatmullRomStroke: public Stroke {
  public:
    CatmullRomStroke( Display *display );

    virtual Bool 	handleMouseEvent( Window, XEvent * );
    virtual Bool 	handleWacomEvent( Window, XEvent * );
    virtual Bool	saturated( void );
    virtual void	stroke( void );
    virtual void        setBrushSize( int w, int h );

  protected:
    int brushWidth, brushWidthOffset;
    int brushHeight, brushHeightOffset;
};

#endif

