#ifndef PENT_UDP_SOCKET_CLIENT_H
#define PENT_UDP_SOCKET_CLIENT_H

#include "pentCommon.h"
#include "pentSocket.h"
#include "pentData.h"

class pentUDPSocketClient : public pentSocket {
public:
  pentUDPSocketClient();
  ~pentUDPSocketClient();
  
  int setAddr(char *_addr);
  int setup();
  int handshake(pentData *_dataObj);

private:
  unsigned long serverAddr;
  struct hostent *hostInfo;
  char *serverName;
  int srvSockFD;
  struct sockaddr_in *srvAddr;
};

#endif
